gexbot api
state

options profile greeks

Displays the results of our orderflow classification engine, showing the net imbalance of transactions for a specified Greek. This allows for detailed analysis

GET/{TICKER}/state/{SPECIFIED_GREEK}State Tier

Displays the results of our orderflow classification engine, showing the net imbalance of transactions for a specified Greek. This allows for detailed analysis of customer long vs. short positioning and its associated risks.

Subscription

Requires a State subscription or higher.

Request

Example: /SPX/state/delta

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescriptionOptions
TICKERstringDesired ticker symbol (e.g., SPX).
SPECIFIED_GREEKstringThe Greek to analyze. Options include delta (DEX), gamma (Convexity), vanna, and charm. Subscriptions vary.delta_zero (State), gamma_zero (State), delta_one (State), gamma_one (State), charm_zero (State), vanna_zero (State), charm_one (State), vanna_one (State)

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
spotnumberThe spot price of the underlying asset.
min_dtenumberThe days-to-expiration (DTE) for the nearest expiry.
sec_min_dtenumberThe days-to-expiration (DTE) for the next expiry.
major_positivenumberStrike with the largest positive exposure for the specified Greek.
major_negativenumberStrike with the largest negative exposure for the specified Greek.
major_long_gammanumberStrike with the largest long customer gamma exposure.
major_short_gammanumberStrike with the largest short customer gamma exposure.
mini_contractsarrayArray of strike data elements: [strike, call_ivol, put_ivol, specified_greek, priors, put_cvolume, put_cvolume_priors]. Priors represent historical lookback values for the requested Greek.
{
  "timestamp": 1753283592,
  "ticker": "SPX",
  "spot": 6326.27,
  "min_dte": 0,
  "sec_min_dte": 1,
  "major_positive": 6345,
  "major_negative": 6280.08,
  "major_long_gamma": 6329.46,
  "major_short_gamma": 6335.55,
  "mini_contracts": [
    [
      6510,
      0.426,
      0,
      0,
      [
        0,
        0,
        0
      ],
      null,
      null
    ],
    [
      6310,
      0.126,
      0.137,
      52.36,
      [
        51.41,
        57.72,
        30.76
      ],
      null,
      null
    ],
    "...",
    [
      6340,
      0.105,
      0.113,
      -255.01,
      [
        -271.73,
        -389.27,
        -315.41
      ],
      null,
      null
    ]
  ]
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "spot": {
      "type": "number",
      "format": "double"
    },
    "min_dte": {
      "type": "integer"
    },
    "sec_min_dte": {
      "type": "integer"
    },
    "major_positive": {
      "type": "number"
    },
    "major_negative": {
      "type": "number"
    },
    "major_long_gamma": {
      "type": "number"
    },
    "major_short_gamma": {
      "type": "number"
    },
    "mini_contracts": {
      "type": "array",
      "items": {
        "type": "array"
      }
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  spot:
    type: number
    format: double
  min_dte:
    type: integer
  sec_min_dte:
    type: integer
  major_positive:
    type: number
  major_negative:
    type: number
  major_long_gamma:
    type: number
  major_short_gamma:
    type: number
  mini_contracts:
    type: array
    items:
      type: array
additionalProperties: false

On this page